package nlib.col.service.impl;

import java.util.List;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Repository;

import egovframework.com.cmm.service.impl.EgovComAbstractDAO;
import nlib.col.service.CollectionVO;
import nlib.col.service.DeptVO;
import nlib.restful.DataApi;
import nlib.restful.service.DataApiReqVO;
import nlib.restful.service.DataApiResVO;

@Repository("interestDAO")
public class InterestDAO extends EgovComAbstractDAO
{
	private static final Logger log = LoggerFactory.getLogger(InterestDAO.class);

	/**
	 * 관심 자료 목록을 조회한다.
	 * 
	 * @param CollectionVO
	 * @return
	 */
	public List<CollectionVO> listInterests(CollectionVO vo)  {
		return selectList("InterestDAO.listInterests", vo);
	}
	/**
	 * 관심 자료 목록의 개수를 조회한다.
	 * 
	 * @param CollectionVO
	 * @return
	 */
	public int countListInterests(CollectionVO vo) {
		return selectOne("InterestDAO.countListInterests", vo);
	}

	/**
	 * 관심자료 목록 삭제
	 * @param masterIdList
	 */
	public void deleteInterests(CollectionVO vo) {
		delete("InterestDAO.deleteInterests", vo);
	}

	/**
	 * 관심자료 추가시 중복체크용 count
	 * @param vo
	 * @return
	 */
	public int countInterest(CollectionVO vo) {
		return selectOne("InterestDAO.countInterest",vo);
	}

	/**
	 * 관심자료 추가
	 * @param vo
	 */
	public void insertInterest(CollectionVO vo) {
		insert("InterestDAO.insertInterest",vo);
	}
	/**
	 * 문화원 목록 조회
	 * @return
	 */
	public List<DeptVO> selectOrgList(CollectionVO vo) {
		return selectList("InterestDAO.selectOrgList",vo);
	}
}